Bug 1417575 - [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1755c813e5358172bd6cc862e36...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 10:27 UTC by igiwatson
Modified: 2017-08-08 19:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:36:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.52 KB, text/plain)
2017-01-30 10:27 UTC, igiwatson
no flags Details
File: cgroup (232 bytes, text/plain)
2017-01-30 10:27 UTC, igiwatson
no flags Details
File: core_backtrace (6.26 KB, text/plain)
2017-01-30 10:27 UTC, igiwatson
no flags Details
File: dso_list (6.84 KB, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: environ (14 bytes, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: maps (36.04 KB, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: mountinfo (3.90 KB, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: open_fds (3.32 KB, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details
File: var_log_messages (295 bytes, text/plain)
2017-01-30 10:28 UTC, igiwatson
no flags Details

Description igiwatson 2017-01-30 10:27:51 UTC
Description of problem:
Started thunderbird. It seems to relate to the lightning plugin. I clicked on the lighting calender tab and
the thunderbird window expands to a huge width, the right hand side probably 10000 pixels away.
Next there was some flickering, around the redering of the tabs. Xorg crashed.
My thunderbird account is old, 10-15 years. I note it says for thunderbird lightning is now built into, but I cannot find this.
If I uninstall the lightning, google provider add-ons, and there are no calender available.
So I continue to install the plugin.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.4-5.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg -background none :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
executable:     /usr/libexec/Xorg
global_pid:     1004
kernel:         4.9.5-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #9 glamor_set_destination_pixmap_fbo at glamor_pixmap.c:72
 #10 glamor_set_destination_drawable at glamor_transform.c:97
 #11 glamor_poly_fill_rect_gl at glamor_rects.c:118
 #12 glamor_poly_fill_rect at glamor_rects.c:163
 #13 damagePolyFillRect at damage.c:1194
 #14 miPaintWindow at miexpose.c:540
 #15 miWindowExposures at miexpose.c:394
 #16 xf86XVWindowExposures at xf86xv.c:1062
 #17 miHandleValidateExposures at miwindow.c:226
 #18 miResizeWindow at miwindow.c:613

Comment 1 igiwatson 2017-01-30 10:27:56 UTC
Created attachment 1245820 [details]
File: backtrace

Comment 2 igiwatson 2017-01-30 10:27:57 UTC
Created attachment 1245821 [details]
File: cgroup

Comment 3 igiwatson 2017-01-30 10:27:59 UTC
Created attachment 1245822 [details]
File: core_backtrace

Comment 4 igiwatson 2017-01-30 10:28:01 UTC
Created attachment 1245823 [details]
File: dso_list

Comment 5 igiwatson 2017-01-30 10:28:02 UTC
Created attachment 1245824 [details]
File: environ

Comment 6 igiwatson 2017-01-30 10:28:04 UTC
Created attachment 1245825 [details]
File: limits

Comment 7 igiwatson 2017-01-30 10:28:06 UTC
Created attachment 1245826 [details]
File: maps

Comment 8 igiwatson 2017-01-30 10:28:07 UTC
Created attachment 1245827 [details]
File: mountinfo

Comment 9 igiwatson 2017-01-30 10:28:09 UTC
Created attachment 1245828 [details]
File: namespaces

Comment 10 igiwatson 2017-01-30 10:28:10 UTC
Created attachment 1245829 [details]
File: open_fds

Comment 11 igiwatson 2017-01-30 10:28:12 UTC
Created attachment 1245830 [details]
File: proc_pid_status

Comment 12 igiwatson 2017-01-30 10:28:13 UTC
Created attachment 1245831 [details]
File: var_log_messages

Comment 13 Olivier Fourdan 2017-01-30 13:48:25 UTC
(In reply to igiwatson from comment #0)
> Description of problem:
> Started thunderbird. It seems to relate to the lightning plugin. I clicked
> on the lighting calender tab and
> the thunderbird window expands to a huge width, the right hand side probably
> 10000 pixels away.
>  [...]

Actually 32767 pixels:

glamor_set_destination_pixmap_fbo (glamor_priv=<optimized out>, fbo=0x0, x0=0, y0=0, width=32767, height=1119) at glamor_pixmap.c:72

So I reckon this is client error, not Xorg nor glamor at fault here, the client expands its window to a size larger than supported.

Comment 14 Olivier Fourdan 2017-01-30 13:55:52 UTC
But the client should not be able to crash the Xserver so easily...

Comment 15 Olivier Fourdan 2017-03-01 12:39:09 UTC
I tried to reproduce using Xwayland from server-1.19-branch but it works, no matter the window size I throw at it (using Xephyr -glamor).

Then I noticed this is reported against F24 and xserver-1.18, there are a number of fixes in glamor between server-1.18-branch and server-1.19-branch, including commit de959ec "glamor: Handle GL_OUT_OF_MEMORY when allocating texture images" which might avoid this issue.

Can you reproduce using Xwayland 1.19.1 with Fedora 25?

Comment 16 igiwatson 2017-03-13 13:53:40 UTC
Having upgrade to FC25, I ran the following command, hopefully what you are after.

Xephyr -glamor -screen 300x32768 :1
no problem.

Xephyr -glamor -screen 32768x300 :1
(EE) 
(EE) Backtrace:
(EE) 0: Xephyr (OsLookupColor+0x139) [0x5b34b9]
(EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x7f33c04645bf]
(EE) 2: Xephyr (glamor_get_pixmap_texture+0x30) [0x440250]
(EE) 3: Xephyr (OsVendorInit+0x2c26) [0x430936]
(EE) 4: Xephyr (_start+0x1548) [0x42a1f8]
(EE) 5: Xephyr (InitFonts+0x2c5) [0x467bf5]
(EE) 6: /lib64/libc.so.6 (__libc_start_main+0xf1) [0x7f33c00ab401]
(EE) 7: Xephyr (_start+0x2a) [0x42782a]
(EE) 8: ? (?+0x2a) [0x2a]
(EE) 
(EE) Segmentation fault at address 0x0
(EE) 
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting
(EE) 
Aborted (core dumped)

Reported as Bug 1431633.

glamor from, xorg-x11-server-Xorg-1.19.1-3.fc25.x86_64.

I tried repeating the original issue with thunderbird, lightning & provider plugin's, but with out success.
I did try creating large windows with python+Gtk3, but Gdk spots the window sizes and limits the requests.

NOTE: I am using KDE/plasma spin so I am not sure that wayland is being used here.
kf5-kwayland is installed, but not kwin-wayland.
/var/log still has an active Xorg.0.log file.
journalctl --since=today, has no wayland comments in it.

Comment 17 Fedora End Of Life 2017-07-26 00:13:27 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-08-08 19:36:49 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.